/*
 * pcf8523.h
 *
 *  Created on: Mar 25, 2023
 *      Author: Daniel Peter Chokola
 */

#ifndef PCF8523_INC_PCF8523_H_
#define PCF8523_INC_PCF8523_H_

/* Includes */
#include <stdint.h>
#include "i2c.h"
#include "time.h"

/* Definitions */

/* Data Structures */
typedef struct pcf8523_s {
	I2C_HandleTypeDef *hi2c;
} pcf8523_t;

/* Function Prototypes */
int32_t pcf8523_init(pcf8523_t *pcf8523, I2C_HandleTypeDef *hi2c);
time_t pcf8523_now(pcf8523_t *pcf8523);
int32_t pcf8523_set_time_t(pcf8523_t *pcf8523, time_t *time);
int32_t pcf8523_set_time(pcf8523_t *pcf8523, struct tm *t);

#endif /* PCF8523_INC_PCF8523_H_ */
